Subject: bug#34850: closed (Re: bug#34850: ghc compiling error)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Sep 2023 16:49:02 +0000

Your bug report

#34850: ghc compiling error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34850: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34850
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34850: ghc compiling error
From: Simon Tournier <[email-masked]>
To: mikadoZero <[email-masked]>
Cc: [email-masked], Tobias Geerinckx-Rice <[email-masked]>
Date: Fri, 22 Sep 2023 18:47:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Re,

On Fri, 22 Sep 2023 at 18:09, Simon Tournier <[email-masked]> wrote:

> Can we close this bug report?

I get back:

--8<---------------cut here---------------start------------->8---
 Address not found
Your message wasn't delivered to [email-masked] because the address couldn't be found or is unable to receive email.
The response from the remote server was:
--8<---------------cut here---------------end--------------->8---

Therefore, closing.

Cheers,
simon

Subject: ghc compiling error
From: mikadoZero <[email-masked]>
To: [email-masked]
Date: Wed, 13 Mar 2019 18:30:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

`guix describe`
guix fd4c7a0
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: fd4c7a098a508c1de7a8513c0f3d88d5a0df12e7

I have ghc in my system configuration file.  I have just done a pull and
reconfigure.

`which ghc`
/run/current-system/profile/bin/ghc

I created a one line hello world program:

```haskell
main = putStrLn "hello, world"
```

Then I tried to compile it with ghc.  I get this error.

`ghc Main`                      
[1 of 1] Compiling Main             ( Main.hs, Main.o )
gcc: error trying to exec 'as': execvp: No such file or directory
`gcc' failed in phase `Assembler'. (Exit code: 1)

I have tested compiling the same hello world program with the same ghc
command and it works fine on a none Guix System.